Bug 164156 - gphoto2 fails to access camera under 2.6.13-rcX
gphoto2 fails to access camera under 2.6.13-rcX
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 09:56 EDT by Andrew Clayton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-28 13:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of gphoto2 --summary --debug under 2.6.13-rc1 (179.11 KB, text/plain)
2005-07-25 09:59 EDT, Andrew Clayton
no flags Details

  None (edit)
Description Andrew Clayton 2005-07-25 09:56:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I am using a Cannon Powershot A80 via USB.

I first noticed the problem when running gthumb-import under 2.6.13-rc3 (this also happens under 2.6.13-rc1). From the kernels I have it seems to have stopped working between 2.6.12-git9 and 2.6.13-rc1

Upon running it (gthumb-2.6.5-1) the dialogue box pops up, but instead of showing the images on the camera it shows an error message

"An error occurred in the io-library ('Error updating the port settings'): Could not set config 0/1 (Device or resource busy)"


Indeed when running gphoto directly I get

(pts/1) [andrew@alpha:~]$ gphoto2 --summary
                                                                               
*** Error ***              
Could not apply USB settings

*** Error ***              
An error occurred in the io-library ('Error updating the port settings'): Could not set config 0/1 (Device or resource busy)
*** Error (-37: 'Error updating the port settings') ***       

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug --summary

Please make sure there is sufficient quoting around the arguments.

(pts/1) [andrew@alpha:~]$


This should have produced.

Detected a 'Canon:PowerShot A80 (normal mode)'.
Camera summary:

Camera identification:
  Model: Canon:PowerShot A80 (normal mode)
  Owner: 

Power status: on battery (power OK)

Flash disk information:
  Drive D:
       31,138 bytes total
       31,136 bytes available

Time: 2005-07-25 14:06:11 (host time +0 seconds)


That was under the latest FC update kernel (2.6.12-1.1398_FC4)


If you need any more info just ask.

Cheers.

Version-Release number of selected component (if applicable):
gphoto2-2.1.5-10

How reproducible:
Always

Steps to Reproduce:
1. Plug in camera
2. Launch gthumb-import (or do something like gphoto2 --summary)
3.
  

Actual Results:  You get the above error message.

Expected Results:  gthumb-import should show photos on camera and gphoto2 --summary should show the above camera summary information.

Additional info:
Comment 1 Andrew Clayton 2005-07-25 09:59:11 EDT
Created attachment 117121 [details]
Output of gphoto2 --summary --debug under 2.6.13-rc1
Comment 2 Andrew Clayton 2005-07-28 13:33:02 EDT
Upgrading to rawhide version (gphoto2-2.1.6-2) has resolved the 
issue with gthumb.

Cheers,

Andrew

Note You need to log in before you can comment on or make changes to this bug.